> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook



## OpenAPI

````yaml https://api.mynth.io/openapi.json put /webhook/{id}
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /webhook/{id}:
    put:
      tags:
        - Webhooks
      summary: Update Webhook
      operationId: putWebhookById
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Webhook updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      enabled:
                        type: boolean
                      events:
                        anyOf:
                          - type: array
                            items:
                              enum:
                                - all
                                - task.completed
                                - task.failed
                                - task.image.alt.completed
                                - task.image.alt.failed
                                - task.image.generate.completed
                                - task.image.generate.failed
                                - task.image.rate.completed
                                - task.image.rate.failed
                          - type: 'null'
                      id:
                        type: string
                      url:
                        type: string
                    required:
                      - enabled
                      - events
                      - id
                      - url
                required:
                  - data
      security:
        - oauthAuth: []
components:
  securitySchemes:
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````